MetricDisplaySummary (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.uibeans.MetricDisplaySummary class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.uibeans
Class MetricDisplaySummary

    java.lang.Object
      org.hyperic.hq.bizapp.shared.uibeans.MetricConfigSummary
          org.hyperic.hq.bizapp.shared.uibeans.MeasurementSummary
              org.hyperic.hq.bizapp.shared.uibeans.BaseMetricDisplay
                  org.hyperic.hq.bizapp.shared.uibeans.MetricDisplaySummary

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

Direct Known Subclasses:
  IndicatorChartsAction.IndicatorDisplaySummary, ResourceMetricDisplaySummary

    public class MetricDisplaySummary

extends BaseMetricDisplay
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.bizapp.shared.uibeans.BaseMetricDisplay
`attrKeyList`

Constructor Summary
`MetricDisplaySummary()`

Method Summary
`int` | `getAlertCount()`
`int` | `getOobCount()`
`void` | `setAlertCount(int alertCount)`
`void` | `setOobCount(int oobCount)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.bizapp.shared.uibeans.BaseMetricDisplay
`compareTo, getAvgMetric, getBeginTimeFrame, getCollecting, getCollectionType, getDesignated, getDisplayUnits, getEndTimeFrame, getLastMetric, getMaxMetric, getMetric, getMetricKeys, getMetrics, getMetricSource, getMetricValueDoubles, getMinMetric, getShowNumberCollecting, getTemplateCat, getUnits, setBeginTimeFrame, setCollecting, setCollectionType, setDesignated, setDisplayUnits, setEndTimeFrame, setMetric, setMetrics, setMetricSource, setShowNumberCollecting, setTemplateCat, setUnits`

Methods inherited from class org.hyperic.hq.bizapp.shared.uibeans.MeasurementSummary
`asList, getAvailDown, getAvailUnknown, getAvailUp, setAvailDown, setAvailUnknown, setAvailUp`

Methods inherited from class org.hyperic.hq.bizapp.shared.uibeans.MetricConfigSummary
`getCategory, getDescription, getId, getInterval, getLabel, getName, getTemplateId, setCategory, setDescription, setInterval, setLabel, setTemplateId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MetricDisplaySummary

    public MetricDisplaySummary()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BaseMetricDisplay`

### getAlertCount

    public int getAlertCount()

### setAlertCount

    public void setAlertCount(int alertCount)

### getOobCount

    public int getOobCount()

### setOobCount

    public void setOobCount(int oobCount)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.